using Services;
using Services.Interfaces;
using VContainer;
using VContainer.Unity;

namespace Scopes {
    public class RootLifetimeScope : LifetimeScope {
        protected override void Configure(IContainerBuilder builder)
        {
            builder.RegisterComponentInHierarchy<InputService>()
                .As<IInputService>();

            builder.Register<IAudioService, AudioService>(Lifetime.Scoped)
                .AsImplementedInterfaces();
        }
    }
}